Đến nội dung


Hình ảnh
- - - - -

< Nhờ Giúp Đỡ > Sửa Lisp, Đánh Cao Độ Trong Trắc Ngang


  • Please log in to reply
6 replies to this topic

#1 bqtuanks

bqtuanks

    biết zoom

  • Members
  • Pip
  • 13 Bài viết
Điểm đánh giá: -5 (bình thường)

Đã gửi 16 September 2015 - 05:51 PM

Nhờ các bác giúp đỡ . Em muốn cho kết quả cao độ  đằng sau dấu phẩy 2 số (dạng 00.00)mà lisp này cho kết quả đằng sau dấu phẩy 3 số (00.000). Bác nào biết sửa thì giúp mình vớihttp://www.cadviet.c...tinh_cao_do.lsp


  • -2

#2 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 16 September 2015 - 06:02 PM

Chỗ nào có chữ rtos thì bạn chuyển số 3 thành số 2
Ps : vì câu hỏi này có độ vài chục người hỏi r, nên dự là bạn sẽ nhận đc 1- của anti lazy member ^^
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#3 bqtuanks

bqtuanks

    biết zoom

  • Members
  • Pip
  • 13 Bài viết
Điểm đánh giá: -5 (bình thường)

Đã gửi 16 September 2015 - 08:38 PM

Chỗ nào có chữ rtos thì bạn chuyển số 3 thành số 2
Ps : vì câu hỏi này có độ vài chục người hỏi r, nên dự là bạn sẽ nhận đc 1- của anti lazy member ^^

Mình gà quá nên mình không biết chỉnh như thế nào. mình post cái lisp này lên cho bạn xem rồi bản chỉ giúp mình với ! chỗ rtos mình tìm thấy là như thế này (setq nt1 (cons 1 (rtos TextValue)))

 

;;================= Tick cao do theo cao do da biet tren ban ve =================

(Defun c:T4() 
(setvar "CMDECHO" 0)
  (if (= tl nil) 
    (progn
     (setq tl (getreal "\n Drawing scale? (%) : "))
     (setq tl1 (/ 100 tl))
    )
  )
 
(Setq P1 (Getpoint "\n Pick base elevation poin:"))
 (setq s1 (entget (car (entsel "\n Select text to get base elevation:"))))
 (setq otext1 (assoc 1 s1))
 (setq ot1 (cdr otext1))   
 (setq ot1 (read (substr ot1 1)))
 
(while
(Setq P2 (Getpoint "\n Pick point on DWG:")
      Ds (/ (- (Cadr P2) (Cadr P1)) tl1)
 )
 
(command "luprec" "3")
 
;Gan gia tri cao do noi suy duoc cho text tren ban ve: 
  (setq giatri (entget (car (entsel "\n Select text to add new elevation:"))))
  (setq gia (assoc 1 giatri))
;---------------------------------------------------------------------------------
  (Setq TextValue (+ ot1 Ds)) ;(Cong thuc xac ®inh gia tri text)
;---------------------------------------------------------------------------------
  (setq nt1 (cons 1 (rtos TextValue)))
  (setq giatri (subst nt1 gia giatri))
  (entmod giatri)
)
 (princ)
 )

  • 0

#4 bqtuanks

bqtuanks

    biết zoom

  • Members
  • Pip
  • 13 Bài viết
Điểm đánh giá: -5 (bình thường)

Đã gửi 16 September 2015 - 09:37 PM

Thế là các bác chưa biết là tại sao lại không sửa được số thập phân nên quy ngay cho mình không biết nhìn cái rtos mà sửa à. :D

Dù sao cảm ơn bác Doan  Van Ha. Bác nói làm em mới biết cái lệnh “luprec”. Và em đã làm được :D


  • 0

#5 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 16 September 2015 - 10:14 PM

Thế là các bác chưa biết là tại sao lại không sửa được số thập phân nên quy ngay cho mình không biết nhìn cái rtos mà sửa à. :D

Dù sao cảm ơn bác Doan  Van Ha. Bác nói làm em mới biết cái lệnh “luprec”. Và em đã làm được :D

Bạn cao ngạo quá đáng!

Tôi đọc lisp và thấy hoặc rtos hoặc luprec đều có số 3 nên tư vấn bạn sửa thành số 2, chứ tôi có nói hoàn toàn do rtos đâu (dù bài viết ở trên tôi bực mình nên đã xóa).

Còn anh Ketxu thì chắc do không đọc lisp nên phỏng đoán thế, chứ anh ấy không tệ như bạn nghĩ đâu.

Bạn có tin tưởng là nếu sửa luprec thì chắc chắn mọi lúc mọi nơi đều đúng không?


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#6 bqtuanks

bqtuanks

    biết zoom

  • Members
  • Pip
  • 13 Bài viết
Điểm đánh giá: -5 (bình thường)

Đã gửi 16 September 2015 - 10:34 PM

Có thể bạn nói đúng  là mình cao ngạo. Mình hơi ức chế vì mới tham gia và bị trừ điểm nên nói thế thôi vì mình cũng search rồi nhưng do tính không linh hoạt và cũng không biết gì về lisp nên chả nghĩ đến là nên sửa cái gì, . Còn về lisp hay cad thì mình đi học mọi người thôi chứ không biết gì đâu  


  • 0

#7 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 17 September 2015 - 02:51 PM

Có thể bạn nói đúng  là mình cao ngạo. Mình hơi ức chế vì mới tham gia và bị trừ điểm nên nói thế thôi vì mình cũng search rồi nhưng do tính không linh hoạt và cũng không biết gì về lisp nên chả nghĩ đến là nên sửa cái gì, . Còn về lisp hay cad thì mình đi học mọi người thôi chứ không biết gì đâu  

Hề hề hề,

Hy vọng rằng nhờ cái ức chế ấy mà bạn sẽ tìm hiểu kỹ hơn về các quy định của diễn đàn về việc post bài khi có yêu cầu về lisp.

Việc sử dụng lisp cũng cần có những kiến thức tối thiểu về nó, bởi nếu không sẽ là tai họa khó lường.

Với hàm (rtos .....) bạn nên tham khảo trong help của CAD để biết cách sử dụng. 

Hướng dẫn của bác Ket không sai đâu, chỉ là do bạn chưa hiểu về hàm này nên không thể dùng mà thôi.

Thực tế mình đọc lisp thấy cũng có kha khá cái hàm (rtos ...... 2 3) đó chứ.

Bạn hãy bình tĩnh để đọc các góp ý của mọi người, cho dù đôi khi đọc lên nghe không thuận nhĩ, nhưng ắt sẽ có lợi cho bạn đó.


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.